summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2006-06-04 14:00:21 +0000
committerAndreas Proschofsky <suka@gentoo.org>2006-06-04 14:00:21 +0000
commitea3f123376a8a84e4bd366f37142d78ca3e1c6ea (patch)
treef3fd7ee6f47f24cd617b7f329cbbf1a10e090698 /app-office
parentnet-print/foomatic-db-engine dep (diff)
downloadgentoo-2-ea3f123376a8a84e4bd366f37142d78ca3e1c6ea.tar.gz
gentoo-2-ea3f123376a8a84e4bd366f37142d78ca3e1c6ea.tar.bz2
gentoo-2-ea3f123376a8a84e4bd366f37142d78ca3e1c6ea.zip
new release candidate
(Portage version: 2.1_rc4-r1)
Diffstat (limited to 'app-office')
-rw-r--r--app-office/openoffice-bin/ChangeLog12
-rw-r--r--app-office/openoffice-bin/files/2.0.3_rc5/50-openoffice-bin1
-rwxr-xr-xapp-office/openoffice-bin/files/2.0.3_rc5/ooo-wrapper2122
-rw-r--r--app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc5183
-rw-r--r--app-office/openoffice-bin/openoffice-bin-2.0.3_rc5.ebuild211
5 files changed, 528 insertions, 1 deletions
diff --git a/app-office/openoffice-bin/ChangeLog b/app-office/openoffice-bin/ChangeLog
index 05d43fbe19e1..b5dbd152a9af 100644
--- a/app-office/openoffice-bin/ChangeLog
+++ b/app-office/openoffice-bin/ChangeLog
@@ -1,6 +1,16 @@
# ChangeLog for app-office/openoffice-bin
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.130 2006/05/30 13:46:37 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.131 2006/06/04 14:00:21 suka Exp $
+
+*openoffice-bin-2.0.3_rc5 (04 Jun 2006)
+
+ 04 Jun 2006; Andreas Proschofsky <suka@gentoo.org>
+ -files/2.0.3_rc4/50-openoffice-bin, +files/2.0.3_rc5/50-openoffice-bin,
+ -files/2.0.3_rc4/ooo-wrapper2, +files/2.0.3_rc5/ooo-wrapper2,
+ -openoffice-bin-2.0.3_rc4.ebuild, +openoffice-bin-2.0.3_rc5.ebuild:
+ Hopefully last release candidate, that's also the first version with proper
+ integration of the myspell-ebuilds we are now using to provide spell
+ checking by default
*openoffice-bin-2.0.3_rc4 (30 May 2006)
diff --git a/app-office/openoffice-bin/files/2.0.3_rc5/50-openoffice-bin b/app-office/openoffice-bin/files/2.0.3_rc5/50-openoffice-bin
new file mode 100644
index 000000000000..6b16e47f0187
--- /dev/null
+++ b/app-office/openoffice-bin/files/2.0.3_rc5/50-openoffice-bin
@@ -0,0 +1 @@
+SEARCH_DIRS_MASK="/usr/lib/openoffice /usr/lib32/openoffice"
diff --git a/app-office/openoffice-bin/files/2.0.3_rc5/ooo-wrapper2 b/app-office/openoffice-bin/files/2.0.3_rc5/ooo-wrapper2
new file mode 100755
index 000000000000..5f4e4bae055d
--- /dev/null
+++ b/app-office/openoffice-bin/files/2.0.3_rc5/ooo-wrapper2
@@ -0,0 +1,122 @@
+#!/usr/bin/perl -w
+#*****************************************************************************
+#
+# ooffice - Wrapper script for OpenOffice.org
+#
+# Based on the Mandrake work.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+#*****************************************************************************
+
+use strict;
+use IO::Handle;
+use Fcntl ':flock';
+
+my $Debug = $ENV{OOO_DEBUG};
+
+# Define the vendor of this particular OOo package
+my $VendorName = 'Gentoo';
+# Define system installation directory
+# Autoconf totally sucks for @libdir@ type substitution
+my $SystemInstallDir = 'INSTDIR';
+# Suffix for parallel installable versioning
+my $BinSuffix = '2';
+# ooo-build version
+my $OOO_BUILDVERSION = 'PV';
+
+#=============================================================================
+# Main
+#=============================================================================
+
+# Parse command line arguments
+my @ooo_argv;
+my $session_quickstart;
+my $widgets_set;
+while ($ARGV[0]) {
+ $_ = shift;
+ if (m/^--session-quickstart/) {
+ $session_quickstart = 1;
+ } elsif (m/^--widgets-set/) {
+ $widgets_set = shift;
+ (defined $widgets_set) || die "Error: The option --widgets-set requires a value\n" .
+ "For example: --widgets-set gtk\n";
+ } elsif (m/^--version/) {
+ print "This is OpenOffice.org $OOO_BUILDVERSION\n";
+ exit 0;
+ } else {
+ push @ooo_argv, $_;
+ }
+}
+
+if (!@ooo_argv) {
+ my $arg;
+ if ($0 =~ m/\/oo(calc|draw|impress|math|web|writer|base)$BinSuffix$/) {
+ $arg = "-$1";
+ } elsif ($0 =~ m/\/oofromtemplate$BinSuffix$/) {
+ $arg = "slot:5500";
+ }
+
+ if ($arg) {
+ push @ooo_argv, "$arg";
+ $Debug && print "Append arg: $arg\n";
+ }
+} else {
+ $Debug && print "Ignoring type - since have filenames\n";
+}
+
+if (defined $widgets_set) {
+ $ENV{SAL_USE_VCLPLUGIN} = $widgets_set;
+}
+
+# overcome ghastly up-stream evilness
+$ENV{SAL_NOEXPANDFPICKER}='TRUE';
+
+if ($session_quickstart) {
+ $Debug && print "Execute quickstarter\n";
+ push @ooo_argv, '-quickstart';
+}
+
+# FIXME: the following two fixes should be done by OOo itself
+# create the user config directory with safe rights 700 if it we find
+# the right path and the directory does not exist
+if (open BOOTSTRAPRC, "$SystemInstallDir/program/bootstraprc") {
+ while (my $line = <BOOTSTRAPRC>) {
+ chomp $line;
+ if (($line =~ m/^\s*UserInstallation\s*=\s*([^\s]*)\s*$/) && ($1)) {
+ my $userConfDir=$1;
+ $userConfDir =~ s|\$SYSUSERCONFIG|$ENV{HOME}|;
+ $userConfDir =~ s|file://||;
+ mkdir ($userConfDir,0700) unless (-d $userConfDir);
+ last;
+ }
+ }
+ close BOOTSTRAPRC;
+}
+# touch ~/.recently-used with safe rights 700 if it does not exist
+if (! -f "$ENV{HOME}/.recently-used") {
+ open (RECENTLY_USED, ">$ENV{HOME}/.recently-used") &&
+ close RECENTLY_USED &&
+ chmod 0600, "$ENV{HOME}/.recently-used";
+}
+
+if (!(-f '/proc/version')) {
+ print STDERR "\n\n --- Warning - OO.o will not work without a mounted /proc filesystem --- \n\n\n";
+}
+
+# Clear PYTHONPATH, otherwise Python scripting does not work
+delete $ENV{'PYTHONPATH'};
+
+# And here we go.
+exec "$SystemInstallDir/program/soffice", @ooo_argv
diff --git a/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc5 b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc5
new file mode 100644
index 000000000000..720d958d8c70
--- /dev/null
+++ b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc5
@@ -0,0 +1,183 @@
+MD5 1029de1e9c6eafcdafab1de2702d86b0 OOo_2.0.3rc5_060530_LinuxIntel_install.tar.gz 126050587
+RMD160 3f2d0209d6442d6d4f14fcf9d5e398e909d3bbd6 OOo_2.0.3rc5_060530_LinuxIntel_install.tar.gz 126050587
+SHA256 886dbd0bdc82a8fd6530792ad83f2584191ad1eefc85f8cb0fd58dd5d26a6d5f OOo_2.0.3rc5_060530_LinuxIntel_install.tar.gz 126050587
+MD5 146224248fa10361bb2edcc841e687cd OOo_2.0.3rc5_060530_LinuxIntel_langpack_af.tar.gz 13347507
+RMD160 6d57bc4b38ec7be9d62f28d8658f5f71e3e18c23 OOo_2.0.3rc5_060530_LinuxIntel_langpack_af.tar.gz 13347507
+SHA256 d811d056c7714c87355bb543cdd6075fbf2f772bb1811cb86121ca248a835d5b OOo_2.0.3rc5_060530_LinuxIntel_langpack_af.tar.gz 13347507
+MD5 35dc3f4613dd555be4cdd9eea5c94b52 OOo_2.0.3rc5_060530_LinuxIntel_langpack_as-IN.tar.gz 13410160
+RMD160 fd31101181c190005ab0d6c9dfa38aa60d2dbc6e OOo_2.0.3rc5_060530_LinuxIntel_langpack_as-IN.tar.gz 13410160
+SHA256 bd223a52a7d90cbf2544a76813427edd0cd2655902566f14deaacabbd19bd2f0 OOo_2.0.3rc5_060530_LinuxIntel_langpack_as-IN.tar.gz 13410160
+MD5 8a2fc6b55a3457c904d8bdc454f736d5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_be-BY.tar.gz 13413716
+RMD160 b356c7cfa2510e5a1726f379e1e79a20b86ed6e6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_be-BY.tar.gz 13413716
+SHA256 1dbeb078f782dd675b740ccf77605bde1f14a4ab9cd9d3e50b095b086e5c0df6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_be-BY.tar.gz 13413716
+MD5 3941fe029142b6343e875bac12d37fb6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_bg.tar.gz 14348357
+RMD160 365778d2a578acb86d0f56919d89c6439a4f0dd2 OOo_2.0.3rc5_060530_LinuxIntel_langpack_bg.tar.gz 14348357
+SHA256 f576e06e709883dd17c58589a19be1ee001dde7c65652020f4e9ba7b1f250dc3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_bg.tar.gz 14348357
+MD5 0291dad6bc6125aef14baf486b0f2aca OOo_2.0.3rc5_060530_LinuxIntel_langpack_bs.tar.gz 13343163
+RMD160 c8d44d6997c06ff2a23246346257962388636c43 OOo_2.0.3rc5_060530_LinuxIntel_langpack_bs.tar.gz 13343163
+SHA256 d0a51fb96032856f300536386d2250724fd2bca44eda23c9c7e99a80e150bee7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_bs.tar.gz 13343163
+MD5 7bdf742944ef1d0cf9e7fd1672cb49cc OOo_2.0.3rc5_060530_LinuxIntel_langpack_ca.tar.gz 13378482
+RMD160 327676386d6da3d7592837a024811043c42bb55f OOo_2.0.3rc5_060530_LinuxIntel_langpack_ca.tar.gz 13378482
+SHA256 b8cdb19d38cce698fdd32970b7e36881105dd6d1531670efe7237a2eb7e66dd4 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ca.tar.gz 13378482
+MD5 87e8f4f3abe502b7f9d72acd5aeb7365 OOo_2.0.3rc5_060530_LinuxIntel_langpack_cs.tar.gz 14000753
+RMD160 3f6197d7be9f0b7929f7ea2f24b5675ba4dd8d46 OOo_2.0.3rc5_060530_LinuxIntel_langpack_cs.tar.gz 14000753
+SHA256 2782488267fe205c72704dca7d9f7112ba14896e1f27df5b67e2753e636442cd OOo_2.0.3rc5_060530_LinuxIntel_langpack_cs.tar.gz 14000753
+MD5 d7863bfdad8bfc6a4da1952417e85106 OOo_2.0.3rc5_060530_LinuxIntel_langpack_cy.tar.gz 13322806
+RMD160 bfc58f3ccf5e8cd2099b2f2fa92543beffe63d35 OOo_2.0.3rc5_060530_LinuxIntel_langpack_cy.tar.gz 13322806
+SHA256 8ed6707c3b7176efcf2dea562e90f258ff2729a9986922a195c5b996494af68a OOo_2.0.3rc5_060530_LinuxIntel_langpack_cy.tar.gz 13322806
+MD5 f94f2704731c5377834fb3ca8a6eb8b0 OOo_2.0.3rc5_060530_LinuxIntel_langpack_da.tar.gz 13908553
+RMD160 c3e58c7f188fa0637dce05536336446d8c531227 OOo_2.0.3rc5_060530_LinuxIntel_langpack_da.tar.gz 13908553
+SHA256 a4067d5dda61a0017b37fd124fd6f6bd717219c3d445f0e33315cd74600d2a89 OOo_2.0.3rc5_060530_LinuxIntel_langpack_da.tar.gz 13908553
+MD5 74da37814908242bb2b4f5245d7365f5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_de.tar.gz 14845694
+RMD160 7112341c63087cffbe958a9019b546aa392709e4 OOo_2.0.3rc5_060530_LinuxIntel_langpack_de.tar.gz 14845694
+SHA256 cccf75389fab53a05ed7ef6eb5ed404b0742bef8a6f0b3c19a8ed74c540d5e9b OOo_2.0.3rc5_060530_LinuxIntel_langpack_de.tar.gz 14845694
+MD5 5adcf5f1af6fd45805ae2dc7314718f3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_el.tar.gz 13955735
+RMD160 d504c9e141a4266d3343a33f738e5fb289b5111a OOo_2.0.3rc5_060530_LinuxIntel_langpack_el.tar.gz 13955735
+SHA256 bbd3b6ee892e2388f1955d205f8324ba96fed12f3b63ed34a08089bf14f0276f OOo_2.0.3rc5_060530_LinuxIntel_langpack_el.tar.gz 13955735
+MD5 c4a18b7754c2f6b7ed394d9c581af50a OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-GB.tar.gz 13412268
+RMD160 288e43c272a1682d680617aa0d8adfcf2dc5a0ce OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-GB.tar.gz 13412268
+SHA256 d45c60aa2d4c236465fef96daa3a81e3f1cc43e2840c443cb1471e4a5e40e113 OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-GB.tar.gz 13412268
+MD5 d3ec2d603bfe9afaa9afa94a833aa9f5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-ZA.tar.gz 13367519
+RMD160 9b7443fe49f88f368db82027885fabb42de2672c OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-ZA.tar.gz 13367519
+SHA256 0757d9568ef8588477fe7cae96fa3715c0d7a7ed5733ca38772055eceab315d8 OOo_2.0.3rc5_060530_LinuxIntel_langpack_en-ZA.tar.gz 13367519
+MD5 8b5734448d33e259edb3e9d4111f04ae OOo_2.0.3rc5_060530_LinuxIntel_langpack_es.tar.gz 14158553
+RMD160 d0f4ab901ef8f515cfb4ca7b8d7b23b44dc979f9 OOo_2.0.3rc5_060530_LinuxIntel_langpack_es.tar.gz 14158553
+SHA256 b402fd7a7f7fca2c9b5d7afcbc30fd6dae3388aadde0505e108d399fd0565a66 OOo_2.0.3rc5_060530_LinuxIntel_langpack_es.tar.gz 14158553
+MD5 a1f66463cb96c713ee1148271346e0f8 OOo_2.0.3rc5_060530_LinuxIntel_langpack_et.tar.gz 14094371
+RMD160 52f83a6e1b3d3c72a6c9012492b637f0e2e10137 OOo_2.0.3rc5_060530_LinuxIntel_langpack_et.tar.gz 14094371
+SHA256 dbe28394fb2304f483b7e75eb48a069028812c565ff458358493517fcb5d44e5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_et.tar.gz 14094371
+MD5 adf10214885b6b1e183047ee77e22432 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fa.tar.gz 13411809
+RMD160 35ea9de9ccd901bcc9fa82745028f0ebbd24b1a9 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fa.tar.gz 13411809
+SHA256 e34287e43443e88320e504d0bdf1c4557f6671a36c9a74a08e0c3be50da6e683 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fa.tar.gz 13411809
+MD5 75fc7fba2c7e05cb91868f0b0a04ab59 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fi.tar.gz 13373168
+RMD160 8931d4c29d8c413f5def653a3503882fb1fa6376 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fi.tar.gz 13373168
+SHA256 014a5502780fda8537569e88b730024764d4e83fe7d735020cd8955153700a44 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fi.tar.gz 13373168
+MD5 c79d30c1fe854711013d463f2014b4a1 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fr.tar.gz 14391249
+RMD160 f6362ab825d2476cfb665590594ba6e89176f3e5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fr.tar.gz 14391249
+SHA256 ed87e4ea5da11f7cef1ba97cb282cc7f2174b6135c7c58134690d40738d3eb24 OOo_2.0.3rc5_060530_LinuxIntel_langpack_fr.tar.gz 14391249
+MD5 35033eb6573b672ad3e1717a9c6ec643 OOo_2.0.3rc5_060530_LinuxIntel_langpack_gu-IN.tar.gz 13422347
+RMD160 e58fa2d057070461fff25e8d472ce4c5bb12dd5f OOo_2.0.3rc5_060530_LinuxIntel_langpack_gu-IN.tar.gz 13422347
+SHA256 dc7d2f3622745627232264ce9e1a513cbd04874df2fd699ed9bdbaabd76db43d OOo_2.0.3rc5_060530_LinuxIntel_langpack_gu-IN.tar.gz 13422347
+MD5 c5b8ed54bc8eaa7d966507b3e621024a OOo_2.0.3rc5_060530_LinuxIntel_langpack_he.tar.gz 13382095
+RMD160 58b17003fd58d031074231ef9c711c7cae85cc0c OOo_2.0.3rc5_060530_LinuxIntel_langpack_he.tar.gz 13382095
+SHA256 82b66b31f250b0ac45cf19a5df3158deda70508c03fc7c4602a37150819a76a8 OOo_2.0.3rc5_060530_LinuxIntel_langpack_he.tar.gz 13382095
+MD5 3201148582656b3de5c3c1ca17c4f8d0 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hi-IN.tar.gz 13483373
+RMD160 b3b7188c41f13f5c2f2868fbf95b3a98c5e30c09 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hi-IN.tar.gz 13483373
+SHA256 5d4ea0388aac03415909de43922bbe71302b70704d6784508a478342a53a5123 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hi-IN.tar.gz 13483373
+MD5 f30ce12c932cb2fbd70ca1724b6d9e32 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hr.tar.gz 13657265
+RMD160 45758c12bf260545ba87bac4895d9d64a36b4d95 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hr.tar.gz 13657265
+SHA256 f98b4d2088b668526b367055c258fe927b93b51b1e9386d214e31279b931249e OOo_2.0.3rc5_060530_LinuxIntel_langpack_hr.tar.gz 13657265
+MD5 8921a1bd2327a445118bb339c138a0f7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hu.tar.gz 14738629
+RMD160 f9f04bcaa4dcfacfe24a2e3a2116c715cafe78e7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hu.tar.gz 14738629
+SHA256 fea87ace19a372ec220bd5cb8cd7ff064521666678b26b04324e706b78097335 OOo_2.0.3rc5_060530_LinuxIntel_langpack_hu.tar.gz 14738629
+MD5 576bfb04e9da52763b20a2bd7dc4870a OOo_2.0.3rc5_060530_LinuxIntel_langpack_it.tar.gz 14162479
+RMD160 2ec1d228f38a99dfa61c2883f285ee8c0317b67d OOo_2.0.3rc5_060530_LinuxIntel_langpack_it.tar.gz 14162479
+SHA256 dcfb4c6c1bbf353c1e74d54a86a25f9b4236cdcc0c693487aa37838c6dbccc94 OOo_2.0.3rc5_060530_LinuxIntel_langpack_it.tar.gz 14162479
+MD5 eaebe2eeea38ed54b98466e1df2b9702 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ja.tar.gz 14939118
+RMD160 7e361868be34a25d95515ee7dd33ae27ce63d24e OOo_2.0.3rc5_060530_LinuxIntel_langpack_ja.tar.gz 14939118
+SHA256 531209a8abcd3aea9f9e430f9be8b0cd523969645e3ead2df9c93db65efd1fba OOo_2.0.3rc5_060530_LinuxIntel_langpack_ja.tar.gz 14939118
+MD5 9413383e74ec0ddf78c14a9ea81c2bd2 OOo_2.0.3rc5_060530_LinuxIntel_langpack_km.tar.gz 16670793
+RMD160 f2ebfa0b1156c6e8cf4111ccdc50589193421181 OOo_2.0.3rc5_060530_LinuxIntel_langpack_km.tar.gz 16670793
+SHA256 67d352efaf48511944643d8d055ea8d606122c4677976f83dda7ed707e8357dd OOo_2.0.3rc5_060530_LinuxIntel_langpack_km.tar.gz 16670793
+MD5 984c46db8d89aa0f02b003d6f33316b9 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ko.tar.gz 14071238
+RMD160 c8f6f66b09400e4fdfa1515893493fba909cb2a3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ko.tar.gz 14071238
+SHA256 43ccd43bf1b71ccf78a4cab5bb3ba6b6601c3bb4aeb1fd4d8453faea7284b814 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ko.tar.gz 14071238
+MD5 b4e13505ecd7c1a4a0c09fa9b7537930 OOo_2.0.3rc5_060530_LinuxIntel_langpack_lt.tar.gz 13345228
+RMD160 ceef12e59fdf25bbc2373acb0f529e418236f0a7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_lt.tar.gz 13345228
+SHA256 f2e6f17485d7ca14a8dbce6ac9e2d452a20c5a031ad706cf6ef9549761ee2a7e OOo_2.0.3rc5_060530_LinuxIntel_langpack_lt.tar.gz 13345228
+MD5 32a43ac01fb9e095aafb28bcf8f6699c OOo_2.0.3rc5_060530_LinuxIntel_langpack_mk.tar.gz 14203229
+RMD160 bfe6f21362cd1e05dba29e07448c3b769434a220 OOo_2.0.3rc5_060530_LinuxIntel_langpack_mk.tar.gz 14203229
+SHA256 40a2501f9b52c368ca62a9423a2e297f9b10374f0872786f045bba58f45ac7d2 OOo_2.0.3rc5_060530_LinuxIntel_langpack_mk.tar.gz 14203229
+MD5 76f43e12fccd23ff3ea147451df53525 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ml-IN.tar.gz 13428338
+RMD160 1b2835035046bb59ea1e4de79a95e30c1d48122f OOo_2.0.3rc5_060530_LinuxIntel_langpack_ml-IN.tar.gz 13428338
+SHA256 fabc3dbbc991c96ab342e9a1ca2ad0f981635a2afc46ddba68bf9fcf2cc4b6f1 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ml-IN.tar.gz 13428338
+MD5 dac818c689e414e576f77b46cc0c36e6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_mr-IN.tar.gz 13424197
+RMD160 2456b5d9183ff9440d17a23ded0a64abd286a16a OOo_2.0.3rc5_060530_LinuxIntel_langpack_mr-IN.tar.gz 13424197
+SHA256 ba92d98b945bdfcf5ceb6902fcfcdd9c2ae9d1143d31cbaed7630ec9925ff6a8 OOo_2.0.3rc5_060530_LinuxIntel_langpack_mr-IN.tar.gz 13424197
+MD5 8925804914c9c9f6e3c149a20398b31f OOo_2.0.3rc5_060530_LinuxIntel_langpack_nb.tar.gz 13347812
+RMD160 cfcf4bb0929deabfdb13a2067cce82bbbc121636 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nb.tar.gz 13347812
+SHA256 9b012ceba687367ed13adccb6fd59b38c8da943c8ef7e67ed7f6c6baa42fecf5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nb.tar.gz 13347812
+MD5 007a2d0e813c650c53ae117a03efb241 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nl.tar.gz 14413040
+RMD160 490015f04fcbba9671d787144c78f3ca2f279e68 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nl.tar.gz 14413040
+SHA256 829593d24109a898e594399b79dc26d2a27f390911b02842cf988b563af34153 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nl.tar.gz 14413040
+MD5 0692568f47b5819bfc948ceca6d971ea OOo_2.0.3rc5_060530_LinuxIntel_langpack_nn.tar.gz 13356834
+RMD160 1e6ff5857e3201929a081a15fe4aec6d2d382304 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nn.tar.gz 13356834
+SHA256 665a142945ba4019dbfe20bd9d1e3f9c14b109a82a8d3f7177497df2cbcc2b15 OOo_2.0.3rc5_060530_LinuxIntel_langpack_nn.tar.gz 13356834
+MD5 c8dd640fc4c6065e0ba5b902bc433ec7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ns.tar.gz 13370530
+RMD160 2b003bcce458315b188087936e524ca8ed7d1ec6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ns.tar.gz 13370530
+SHA256 5f0fb05246d5b50e5baf3802cd9d59a7e00c316fac6ca5504b609a678a45b937 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ns.tar.gz 13370530
+MD5 5aaa94ea3ccfde85db7114d34e6f5cac OOo_2.0.3rc5_060530_LinuxIntel_langpack_or-IN.tar.gz 13422706
+RMD160 807311b9aae5f613adcbdee4e7357a0894eb1771 OOo_2.0.3rc5_060530_LinuxIntel_langpack_or-IN.tar.gz 13422706
+SHA256 3456483599a9d8edfce8f6d64ed3288d7975c4d05bf5b21eb4084b4403127b71 OOo_2.0.3rc5_060530_LinuxIntel_langpack_or-IN.tar.gz 13422706
+MD5 541f6708c88200c6692cadab26dcb3b3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pa-IN.tar.gz 13403119
+RMD160 7a815ab7683392b6a1863fc7a76c22aa6aae53ac OOo_2.0.3rc5_060530_LinuxIntel_langpack_pa-IN.tar.gz 13403119
+SHA256 78a1b307e22552e8a04d3484f564c8ff6680945ec0e680677b38165754553fe7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pa-IN.tar.gz 13403119
+MD5 64414a02bbedc1afccc6eb15a84c6c11 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pl.tar.gz 14379462
+RMD160 7436f25b6ba6d5607569a2c0af01c5ff8a614fae OOo_2.0.3rc5_060530_LinuxIntel_langpack_pl.tar.gz 14379462
+SHA256 14a6d35052b98d2e6781e14eab2a97b67ed8afe3ea58365ca1da5ee02c9af1e4 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pl.tar.gz 14379462
+MD5 51b8f68e41b771ab89ac34dee47d0610 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pt-BR.tar.gz 14201009
+RMD160 13c5904fa5a94a682803100804bbbee57d8e293c OOo_2.0.3rc5_060530_LinuxIntel_langpack_pt-BR.tar.gz 14201009
+SHA256 7b32dff14e1c9cc7b4932f79504dbd66584e3a72dc275766775307f3c27f1cd6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_pt-BR.tar.gz 14201009
+MD5 b6c03da9b1064ecbb191009179e7b229 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ru.tar.gz 15496452
+RMD160 0af62d00758ce0633a64f16a61dba4173a6288f8 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ru.tar.gz 15496452
+SHA256 4794111abf0eb999a69e2d95acae470ce12231975305fd16a3b827aae7d7ec05 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ru.tar.gz 15496452
+MD5 8d558d3b7cebc5c2f071cdc0fc46c71b OOo_2.0.3rc5_060530_LinuxIntel_langpack_rw.tar.gz 13695323
+RMD160 0f0929d2ac7e2a40b58c09d16fa28a925ae4552a OOo_2.0.3rc5_060530_LinuxIntel_langpack_rw.tar.gz 13695323
+SHA256 aac29768e8d7d8fdc0a50514e8d51835b395a9fcc5d5e4ad1add471946061232 OOo_2.0.3rc5_060530_LinuxIntel_langpack_rw.tar.gz 13695323
+MD5 11e6cbf57c82a64570a520c01849cf13 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sh-YU.tar.gz 13343629
+RMD160 cf485cb0502684421b6df4a42f8331b5ccc61cba OOo_2.0.3rc5_060530_LinuxIntel_langpack_sh-YU.tar.gz 13343629
+SHA256 4da77e3f4b80ef8fb0858ba8427d4b3c3c8ce00000538cd0fa6eada1e0b2530a OOo_2.0.3rc5_060530_LinuxIntel_langpack_sh-YU.tar.gz 13343629
+MD5 0aaeea30857d750780b1816776c995b6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sk.tar.gz 14051526
+RMD160 f5448b69c35a009c465a183bec178a0d8780e3d5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sk.tar.gz 14051526
+SHA256 be00a165884fc1f0ca4e414ba6ed9c0403586aa258077019fa4d86bf8ad382d6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sk.tar.gz 14051526
+MD5 ced04d3082b46bea6494388e3665658f OOo_2.0.3rc5_060530_LinuxIntel_langpack_sl.tar.gz 13801859
+RMD160 92f5dfc4bae05697f167d5b6b2b1edba1996bed1 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sl.tar.gz 13801859
+SHA256 3e40f239f2f48ca5e9cb6bb62b7534f68727c6a28983439b07f38ea45d698663 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sl.tar.gz 13801859
+MD5 1c90629c97da2560f86e62f7a7160876 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sr-CS.tar.gz 13419265
+RMD160 34b4c314d913318372e8f2f0074e1e0245e5ce29 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sr-CS.tar.gz 13419265
+SHA256 150a8c0525f1166ba9a529a92b435c4974441ecb14654af20a9136575dd8ea6a OOo_2.0.3rc5_060530_LinuxIntel_langpack_sr-CS.tar.gz 13419265
+MD5 89640378bbe26cdbcf2c82b3f256e504 OOo_2.0.3rc5_060530_LinuxIntel_langpack_st.tar.gz 13359559
+RMD160 465ed7c984c39794a7f6037bd088f7d1c034c43a OOo_2.0.3rc5_060530_LinuxIntel_langpack_st.tar.gz 13359559
+SHA256 e226a88033b17592221780a7a10602e0a8ef383b95f84552651dbcb07cac3316 OOo_2.0.3rc5_060530_LinuxIntel_langpack_st.tar.gz 13359559
+MD5 978678c6ccaed107fc25096e12b1aca1 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sv.tar.gz 13878905
+RMD160 ca8c34bef44d28c9f4b64703c646dd6eea335132 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sv.tar.gz 13878905
+SHA256 6542da8a97414a4f0b7f0f93e5d6681c01e83a8685fcafe690baad2d9b04c2c6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sv.tar.gz 13878905
+MD5 cc892937d1d2daa3f67d39d085d24825 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sw-TZ.tar.gz 13493218
+RMD160 25329f92e8bc96a6154896a79e70c6136ca60661 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sw-TZ.tar.gz 13493218
+SHA256 378656bf7995a3c5cc02da9d9a6fdb21784ccc6d519daa586a8ebbe32128ac12 OOo_2.0.3rc5_060530_LinuxIntel_langpack_sw-TZ.tar.gz 13493218
+MD5 660c4d3b82f4feecc9c24c6fa5c4b9b7 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ta-IN.tar.gz 13383724
+RMD160 32c233c5e9f4073bafbe43c9dd0c7d7c61e89ff3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ta-IN.tar.gz 13383724
+SHA256 a4bbacf730451934dc5e8aef2d6544955606e93257dc040dcddb11dbd53911e6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ta-IN.tar.gz 13383724
+MD5 132cb4ca6f29e4d1045a5388fbed682c OOo_2.0.3rc5_060530_LinuxIntel_langpack_te-IN.tar.gz 13431471
+RMD160 2ab04913bc6810e1b095993e5876df91d6e9de68 OOo_2.0.3rc5_060530_LinuxIntel_langpack_te-IN.tar.gz 13431471
+SHA256 d0e176318abe0c8796ad2c61d31bc43bd1d0afb4d30a73c9915b84ed45b63cde OOo_2.0.3rc5_060530_LinuxIntel_langpack_te-IN.tar.gz 13431471
+MD5 3f0536f0a1a6b253a7dda32a51ba9d52 OOo_2.0.3rc5_060530_LinuxIntel_langpack_tg.tar.gz 13409343
+RMD160 d2b7bb4aed36f0e2c9b6c5265fb60f23575e7a9e OOo_2.0.3rc5_060530_LinuxIntel_langpack_tg.tar.gz 13409343
+SHA256 4a0b1b6c7404695e839c35fd4be813ca62c58f474dfcfe6fc5026ea2270c6fc5 OOo_2.0.3rc5_060530_LinuxIntel_langpack_tg.tar.gz 13409343
+MD5 f4bbb714d7b28f23ea5d2370b55a724a OOo_2.0.3rc5_060530_LinuxIntel_langpack_th.tar.gz 13804188
+RMD160 f8d99983b6e8bf8766426097a6c09a17ff61e41d OOo_2.0.3rc5_060530_LinuxIntel_langpack_th.tar.gz 13804188
+SHA256 25b6109be2fc39aa920b38c6e625aab1377bf72c6dcf924ee13862f8e7419db4 OOo_2.0.3rc5_060530_LinuxIntel_langpack_th.tar.gz 13804188
+MD5 17dcbcbcbd55d6bd242f18fbe5946de2 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ti-ER.tar.gz 13311001
+RMD160 a3ef21f9035c33d0ab40ff1bb689073949895bee OOo_2.0.3rc5_060530_LinuxIntel_langpack_ti-ER.tar.gz 13311001
+SHA256 ad3063322c0025e086ef2fcaf7d9e3bb452d027d80c3471426766a08d251178e OOo_2.0.3rc5_060530_LinuxIntel_langpack_ti-ER.tar.gz 13311001
+MD5 85a345fdb19e7308efbe6ff3785bc3d3 OOo_2.0.3rc5_060530_LinuxIntel_langpack_tr.tar.gz 13637850
+RMD160 b6e808f0f14b62e1ed22a7edadf4a4e64acf5079 OOo_2.0.3rc5_060530_LinuxIntel_langpack_tr.tar.gz 13637850
+SHA256 8a4630ba53b948e49be8999cf3e2ecf34666bb0e171403753b685077761a97bc OOo_2.0.3rc5_060530_LinuxIntel_langpack_tr.tar.gz 13637850
+MD5 ac2349a72cecf774a61577e03bad8f19 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ur-IN.tar.gz 13412582
+RMD160 4d5c25657d9358d964e38cafbe7601cbdcf52315 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ur-IN.tar.gz 13412582
+SHA256 733e533c657eb172a42789dfa29180bdce9f761ed9535e95dfde832d0af56f82 OOo_2.0.3rc5_060530_LinuxIntel_langpack_ur-IN.tar.gz 13412582
+MD5 e7640799d270ae7e94f46ba322c034e6 OOo_2.0.3rc5_060530_LinuxIntel_langpack_vi.tar.gz 13351727
+RMD160 e3d3971081231ab57629300549a0e877c859050d OOo_2.0.3rc5_060530_LinuxIntel_langpack_vi.tar.gz 13351727
+SHA256 f12b9d22443c31657c51bf8280c6f08a67a51d41c9320fe5745da6e2f85c6169 OOo_2.0.3rc5_060530_LinuxIntel_langpack_vi.tar.gz 13351727
+MD5 da84fcd2627ac1d2f659924fa2b2fba0 OOo_2.0.3rc5_060530_LinuxIntel_langpack_xh.tar.gz 13445413
+RMD160 af7e3a82291d844034b75c4a94bf3d1fa3870ddb OOo_2.0.3rc5_060530_LinuxIntel_langpack_xh.tar.gz 13445413
+SHA256 f3e8d7bb1f60ebf29a62b0ae4bd8d5f4e1f7670da60a300fc7c6f84016b35b27 OOo_2.0.3rc5_060530_LinuxIntel_langpack_xh.tar.gz 13445413
+MD5 2d4cba57f8fce0c9ee513d2d478456a0 OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-CN.tar.gz 14228883
+RMD160 68571c2fb44c92f7713cc8ecdb3c09ab11fb3a0d OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-CN.tar.gz 14228883
+SHA256 e41efcfa6272bebea395a9bc406904c7735c3e14eb0af303fbc38d55f558f3be OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-CN.tar.gz 14228883
+MD5 ccd4e008fedde4272afaf9026bf7f16c OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-TW.tar.gz 14385018
+RMD160 689477c9bc7ca5e1664f4b5f242a5bd3db181ab1 OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-TW.tar.gz 14385018
+SHA256 128f5efef0c700c9dbf308eb77f51b688beaec785ab7f2436d9e2a40915217bb OOo_2.0.3rc5_060530_LinuxIntel_langpack_zh-TW.tar.gz 14385018
+MD5 eb84f7f32c502fdbd29998df8a5c3462 OOo_2.0.3rc5_060530_LinuxIntel_langpack_zu.tar.gz 13406686
+RMD160 91e74007258e6f671a225f430989d6019bfcfb46 OOo_2.0.3rc5_060530_LinuxIntel_langpack_zu.tar.gz 13406686
+SHA256 549670710194c2b311785657483e6fd549117861364879aa8c02d8137cf89f73 OOo_2.0.3rc5_060530_LinuxIntel_langpack_zu.tar.gz 13406686
diff --git a/app-office/openoffice-bin/openoffice-bin-2.0.3_rc5.ebuild b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc5.ebuild
new file mode 100644
index 000000000000..13a0e8da99f7
--- /dev/null
+++ b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc5.ebuild
@@ -0,0 +1,211 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/openoffice-bin-2.0.3_rc5.ebuild,v 1.1 2006/06/04 14:00:21 suka Exp $
+
+inherit eutils fdo-mime rpm multilib
+
+IUSE="gnome java"
+
+MY_PV="${PV/_/}"
+MY_PV2="${MY_PV}_060530"
+MY_PV3="${PV/_rc5/}-5"
+MILESTONE="OOC680_m5"
+PACKED="${MILESTONE}_native_packed-1"
+BUILDID="9036"
+S="${WORKDIR}/${PACKED}_en-US.${BUILDID}/RPMS"
+DESCRIPTION="OpenOffice productivity suite"
+
+LANGPACK="OOo_${MY_PV2}_LinuxIntel_langpack"
+LANGPACKPATH="http://oootranslation.services.openoffice.org/pub/OpenOffice.org/${MY_PV}/${LANGPACK}"
+LANGSUFFIX="${MY_PV3}.i586.tar.gz"
+
+SRC_URI="mirror://openoffice/contrib/rc/${MY_PV}/OOo_${MY_PV2}_LinuxIntel_install.tar.gz
+ linguas_af? ( ${LANGPACKPATH}_af.tar.gz )
+ linguas_as_IN? ( ${LANGPACKPATH}_as-IN.tar.gz )
+ linguas_be_BY? ( ${LANGPACKPATH}_be-BY.tar.gz )
+ linguas_bg? ( ${LANGPACKPATH}_bg.tar.gz )
+ linguas_bs? ( ${LANGPACKPATH}_bs.tar.gz )
+ linguas_ca? ( ${LANGPACKPATH}_ca.tar.gz )
+ linguas_cs? ( ${LANGPACKPATH}_cs.tar.gz )
+ linguas_cy? ( ${LANGPACKPATH}_cy.tar.gz )
+ linguas_da? ( ${LANGPACKPATH}_da.tar.gz )
+ linguas_de? ( ${LANGPACKPATH}_de.tar.gz )
+ linguas_el? ( ${LANGPACKPATH}_el.tar.gz )
+ linguas_en_GB? ( ${LANGPACKPATH}_en-GB.tar.gz )
+ linguas_en_ZA? ( ${LANGPACKPATH}_en-ZA.tar.gz )
+ linguas_es? ( ${LANGPACKPATH}_es.tar.gz )
+ linguas_et? ( ${LANGPACKPATH}_et.tar.gz )
+ linguas_fa? ( ${LANGPACKPATH}_fa.tar.gz )
+ linguas_fi? ( ${LANGPACKPATH}_fi.tar.gz )
+ linguas_fr? ( ${LANGPACKPATH}_fr.tar.gz )
+ linguas_gu_IN? ( ${LANGPACKPATH}_gu-IN.tar.gz )
+ linguas_he? ( ${LANGPACKPATH}_he.tar.gz )
+ linguas_hi_IN? ( ${LANGPACKPATH}_hi-IN.tar.gz )
+ linguas_hr? ( ${LANGPACKPATH}_hr.tar.gz )
+ linguas_hu? ( ${LANGPACKPATH}_hu.tar.gz )
+ linguas_it? ( ${LANGPACKPATH}_it.tar.gz )
+ linguas_ja? ( ${LANGPACKPATH}_ja.tar.gz )
+ linguas_km? ( ${LANGPACKPATH}_km.tar.gz )
+ linguas_ko? ( ${LANGPACKPATH}_ko.tar.gz )
+ linguas_lt? ( ${LANGPACKPATH}_lt.tar.gz )
+ linguas_mk? ( ${LANGPACKPATH}_mk.tar.gz )
+ linguas_ml_IN? ( ${LANGPACKPATH}_ml-IN.tar.gz )
+ linguas_mr_IN? ( ${LANGPACKPATH}_mr-IN.tar.gz )
+ linguas_nb? ( ${LANGPACKPATH}_nb.tar.gz )
+ linguas_nl? ( ${LANGPACKPATH}_nl.tar.gz )
+ linguas_nn? ( ${LANGPACKPATH}_nn.tar.gz )
+ linguas_ns? ( ${LANGPACKPATH}_ns.tar.gz )
+ linguas_or_IN? ( ${LANGPACKPATH}_or-IN.tar.gz )
+ linguas_pa_IN? ( ${LANGPACKPATH}_pa-IN.tar.gz )
+ linguas_pl? ( ${LANGPACKPATH}_pl.tar.gz )
+ linguas_pt_BR? ( ${LANGPACKPATH}_pt-BR.tar.gz )
+ linguas_ru? ( ${LANGPACKPATH}_ru.tar.gz )
+ linguas_rw? ( ${LANGPACKPATH}_rw.tar.gz )
+ linguas_sh_YU? ( ${LANGPACKPATH}_sh-YU.tar.gz )
+ linguas_sk? ( ${LANGPACKPATH}_sk.tar.gz )
+ linguas_sl? ( ${LANGPACKPATH}_sl.tar.gz )
+ linguas_sr_CS? ( ${LANGPACKPATH}_sr-CS.tar.gz )
+ linguas_st? ( ${LANGPACKPATH}_st.tar.gz )
+ linguas_sv? ( ${LANGPACKPATH}_sv.tar.gz )
+ linguas_sw_TZ? ( ${LANGPACKPATH}_sw-TZ.tar.gz )
+ linguas_ta_IN? ( ${LANGPACKPATH}_ta-IN.tar.gz )
+ linguas_te_IN? ( ${LANGPACKPATH}_te-IN.tar.gz )
+ linguas_tg? ( ${LANGPACKPATH}_tg.tar.gz )
+ linguas_th? ( ${LANGPACKPATH}_th.tar.gz )
+ linguas_ti_ER? ( ${LANGPACKPATH}_ti-ER.tar.gz )
+ linguas_tr? ( ${LANGPACKPATH}_tr.tar.gz )
+ linguas_ur_IN? ( ${LANGPACKPATH}_ur-IN.tar.gz )
+ linguas_vi? ( ${LANGPACKPATH}_vi.tar.gz )
+ linguas_xh? ( ${LANGPACKPATH}_xh.tar.gz )
+ linguas_zh_CN? ( ${LANGPACKPATH}_zh-CN.tar.gz )
+ linguas_zh_TW? ( ${LANGPACKPATH}_zh-TW.tar.gz )
+ linguas_zu? ( ${LANGPACKPATH}_zu.tar.gz )"
+
+HOMEPAGE="http://www.openoffice.org/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!app-office/openoffice
+ || ( x11-libs/libXaw virtual/x11 )
+ sys-libs/glibc
+ >=dev-lang/perl-5.0
+ app-arch/zip
+ app-arch/unzip
+ java? ( !amd64? ( >=virtual/jre-1.4.1 )
+ amd64? ( app-emulation/emul-linux-x86-java ) )
+ amd64? ( >=app-emulation/emul-linux-x86-xlibs-1.0 )
+ linguas_ja? ( >=media-fonts/kochi-substitute-20030809-r3 )
+ linguas_zh_CN? ( >=media-fonts/arphicfonts-0.1-r2 )
+ linguas_zh_TW? ( >=media-fonts/arphicfonts-0.1-r2 )"
+
+DEPEND="${RDEPEND}
+ sys-apps/findutils
+ app-admin/eselect-oodict"
+
+PROVIDE="virtual/ooo"
+RESTRICT="nostrip"
+
+src_unpack() {
+
+ unpack ${A}
+
+ for i in base calc core01 core02 core03 core03u core04 core04u core05 core05u core06 core07 core08 core09 core10 draw emailmerge impress math writer graphicfilter pyuno testtool xsltfilter ; do
+ rpm_unpack ${S}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ done
+
+ rpm_unpack ${S}/desktop-integration/openoffice.org-freedesktop-menus-2.0.3-2.noarch.rpm
+
+ use gnome && rpm_unpack ${S}/openoffice.org-gnome-integration-${MY_PV3}.i586.rpm
+ use java && rpm_unpack ${S}/openoffice.org-javafilter-${MY_PV3}.i586.rpm
+
+ strip-linguas en af as_IN be_BY bg bs ca cs cy da de el en_GB en_ZA es et fa fi fr gu_IN he hi_IN hr hu it ja km ko lt mk ml_IN mr_IN nb nl nn ns or_IN pa_IN pl pt_BR ru rw sh_YU sk sl sr_CS st sv sw_TZ ta_IN te_IN tg th ti_ER tr ur_IN vi xh zh_CN zh_TW zu
+
+ for i in ${LINGUAS}; do
+ i="${i/_/-}"
+ if [ ${i} != "en" ] ; then
+ LANGDIR="${WORKDIR}/${PACKED}_${i}.${BUILDID}/RPMS/"
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-help-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-res-${MY_PV3}.i586.rpm
+ fi
+ done
+
+}
+
+src_install () {
+
+ #Multilib install dir magic for AMD64
+ has_multilib_profile && ABI=x86
+ INSTDIR="/usr/$(get_libdir)/openoffice"
+
+ einfo "Installing OpenOffice.org into build root..."
+ dodir ${INSTDIR}
+ mv ${WORKDIR}/opt/openoffice.org2.0/* ${D}${INSTDIR}
+
+ #Menu entries, icons and mime-types
+ cd ${D}${INSTDIR}/share/xdg/
+ sed -i -e s/'Exec=openoffice.org-2.0-printeradmin'/'Exec=oopadmin2'/g printeradmin.desktop || die
+
+ for desk in base calc draw impress math printeradmin writer; do
+ mv ${desk}.desktop openoffice.org-2.0-${desk}.desktop
+ sed -i -e s/openoffice.org-2.0/ooffice2/g openoffice.org-2.0-${desk}.desktop || die
+ sed -i -e s/openofficeorg-20-${desk}/ooo-${desk}2/g openoffice.org-2.0-${desk}.desktop || die
+ domenu openoffice.org-2.0-${desk}.desktop
+ insinto /usr/share/pixmaps
+ newins ${WORKDIR}/usr/share/icons/gnome/48x48/apps/openofficeorg-20-${desk}.png ooo-${desk}2.png
+ done
+
+ insinto /usr/share/mime/packages
+ doins ${WORKDIR}/usr/share/mime/packages/openoffice.org.xml
+
+ # Install wrapper script
+ newbin ${FILESDIR}/${PV}/ooo-wrapper2 ooffice2
+ sed -i -e s/PV/${PV}/g ${D}/usr/bin/ooffice2 || die
+ sed -i -e "s|INSTDIR|${INSTDIR}|g" ${D}/usr/bin/ooffice2 || die
+
+ # Component symlinks
+ for app in base calc draw fromtemplate impress math web writer; do
+ dosym ooffice2 /usr/bin/oo${app}2
+ done
+
+ dosym ${INSTDIR}/program/spadmin.bin /usr/bin/oopadmin2
+
+ # Change user install dir
+ sed -i -e s/.openoffice.org2/.ooo-2.0/g ${D}${INSTDIR}/program/bootstraprc || die
+
+ # Non-java weirdness see bug #99366
+ use !java && rm -f ${D}${INSTDIR}/program/javaldx
+
+ # Remove the provided dictionaries, we use our own instead
+ rm -f ${D}${INSTDIR}/share/dict/ooo/*
+
+ # prevent revdep-rebuild from attempting to rebuild all the time
+ insinto /etc/revdep-rebuild && doins ${FILESDIR}/${PV}/50-openoffice-bin
+
+}
+
+pkg_postinst() {
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ eselect oodict update
+
+ [ -x /sbin/chpax ] && [ -e /usr/lib/openoffice/program/soffice.bin ] && chpax -zm /usr/lib/openoffice/program/soffice.bin
+
+ einfo " To start OpenOffice.org, run:"
+ einfo
+ einfo " $ ooffice2"
+ einfo
+ einfo " Also, for individual components, you can use any of:"
+ einfo
+ einfo " oobase2, oocalc2, oodraw2, oofromtemplate2, ooimpress2, oomath2,"
+ einfo " ooweb2 or oowriter2"
+
+ einfo " Spell checking is now provided through our own myspell-ebuilds, "
+ einfo " if you want to use it, please install the correct myspell package "
+ einfo " according to your language needs. "
+
+}